// launch with the calories program, assumes 16x16x16

// name
"localhost" => string hostname;
8888 => int port;

// check command line
if( me.args() ) me.arg(0) => hostname;
if( me.args() > 1 ) me.arg(1) => Std.atoi => port;

// send object
OscSend xmit;

// aim the transmitter
xmit.setHost( hostname, port );

// infinite time loop
while( true )
{
    // set it
    set( Std.rand2(0,15),
         Std.rand2(0,15),
         Std.rand2(0,15),
         0 );

    // advance time
    .01::second => now;
}

// set function
fun void set( int x, int y, int z, int value )
{
    // start the message...
    xmit.startMsg( "/calories/set/cell/state", "i i i i" );

    // a message is kicked as soon as it is complete 
    x => xmit.addInt;
    y => xmit.addInt;
    z => xmit.addInt;
    value => xmit.addInt;
}
