// launch with the calories program, assumes 16x16x16

// name
"localhost" => string hostname;
8888 => int port;

// check command line
if( me.args() ) me.arg(0) => hostname;
if( me.args() > 1 ) me.arg(1) => Std.atoi => port;

// send object
OscSend xmit;

// aim the transmitter
xmit.setHost( hostname, port );

// infinite time loop
while( true )
{
    // set it
    get( Std.rand2(0,15),
         Std.rand2(0,15),
         Std.rand2(0,15) );

    // advance time
    .1::second => now;
}

// set function
fun void get( int x, int y, int z )
{
    // start the message...
    xmit.startMsg( "/calories/get/cell/state", "i i i" );

    // a message is kicked as soon as it is complete 
    x => xmit.addInt;
    y => xmit.addInt;
    z => xmit.addInt;
}
