// create our OSC receiver
OscRecv recv;
// use port 8889 (or whatever)
8889 => recv.port;
// start listening (launch thread)
recv.listen();

// create an address in the receiver, store in new variable
recv.event( "/calories/cell/state, i i i i f" ) @=> OscEvent oe;

// data
int x; int y; int z;
int value; float valuef;
// infinite event loop
while( true )
{
    // wait for event to arrive
    oe => now;

    // grab the next message from the queue. 
    while( oe.nextMsg() )
    { 
        oe.getInt() => x;
        oe.getInt() => y;
        oe.getInt() => z;
        oe.getInt() => value;
        oe.getFloat() => valuef;
        
        // print
        <<< "got (via OSC):", x, y, z, value, valuef >>>;
    }
}
